char *frzseg();
char *alcmem();
 
extern
int *island;
extern
char *plyscn,*pysptr;
 
#define HWATER  14
#define VWATER   5
#define LNDWID 204
#define LNDHGT  76
#define ISLWID (HWATER*2+LNDWID)
#define ISLHGT (VWATER*2+LNDHGT)
#define isle(x,y) (island+(y)*ISLWID+(x))
 
#define WTRATR 0x1B00
#define RWTATR 0x1F00
 
#define MTNATR 0x0D00
#define FRSATR 0x0A00
#define BASATR 0x0F00
#define TNKATR 0x0F00
#define MINATR 0x0400
#define LASATR 0x0C00
#define SKRATR 0x0900
 
#define AT4DOT 0x06
#define AT4WRT 0x0A
#define AT4CHW 0x0B
#define AT4RDY 0x20
#define AT4PNG 0x40
#define AT4SKS 0x0F
 
#define MAXPYR  6
#define MAXBAS  6
#define MAXTNK  4
#define CHWSIZ 37
#define UIDSIZ 10
 
struct tank {
     int rx,ry;
     int behind;
     int cond;
     int phasers;
     int mines;
     int pods;
     int fuel;
};
 
extern
struct base {
     char name[UIDSIZ];
     int bplayr;
     int bx,by;
     int cond;
     int lasers;
     int neutrons;
     int seekers;
     int dfshld;
     int shldtmr;
     int tanks;
     int angle;
     int range;
     int bleft;
     struct tank tank[MAXTNK];
} base[MAXBAS];
 
extern
struct player {
     int pinpmo;
     int chapos;
     int pbase;
     int ptnkfl;
     char chawin[CHWSIZ*2];
} player[MAXPYR];
 
                              /* player[].pinpmo input mode state codes    */
#define INGAME  -5
#define WT4ESC  -4
#define INCHAT  -3
#define RDY2GO  -2
#define HLPSCN  -1
#define MAIN     0
#define SELTNK   1
#define SLATNK   2
#define ENTANG   3
     /* ENTANG+1                        entering angle digit right of dot  */
#define ENTRNG   5
     /* ENTRNG+1                        entering range digit right of dot  */
#define COMMU    9
#define PLYHLP  10
#define XITING  11
 
#define IMINCH 1
#define IMINGM 2
 
extern
int gamovr,
    solo,
    npyrs,
    npying,
    nleft,
    onscrn,
    pyrn,
    basn,
    self,
    disp,
    tnkn,
    tnkrow;
extern
struct player *pyrp;
extern
struct base *basp;
extern
struct tank *tnkp;
 
#define NAK      21
#define CAN      24
#define NAKACK  120
#define REMOVE  121
#define TICK    122
#define NODATA  123
#define LINEUP  127
 
extern
char lupbuf[120],*lupptr;
extern
char *names[MAXPYR+1];
extern
int rseed;
extern
char scntbl[];
 
extern int fstick,fstick2;    /* fast-tickers (145.6 Hz) from setlu.asm    */
 
extern
int lasinu,
    skrinu,
    neuinu;
 
#define SFA         0
#define SFACHATH    1
#define SFACHATV    2
#define SFAHELPC    3
#define SFAHELPG    4
#define SFAHELPP    5
#define SFAHELPT    6
#define SFAHELPV    7
#define SFAVIEW     8
#define SFAZAPPED   9
#define SFAMACS    10
